Bug 1463501 - [abrt] xfce4-power-manager: up_client_get_devices(): xfce4-power-manager killed by SIGSEGV
[abrt] xfce4-power-manager: up_client_get_devices(): xfce4-power-manager kill...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:da4a65b67633cadd0acf77f9bfa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 03:03 EDT by Clemens Eisserer
Modified: 2017-12-12 05:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:34:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.51 KB, text/plain)
2017-06-21 03:03 EDT, Clemens Eisserer
no flags Details
File: cgroup (242 bytes, text/plain)
2017-06-21 03:03 EDT, Clemens Eisserer
no flags Details
File: core_backtrace (7.25 KB, text/plain)
2017-06-21 03:03 EDT, Clemens Eisserer
no flags Details
File: dso_list (9.01 KB, text/plain)
2017-06-21 03:03 EDT, Clemens Eisserer
no flags Details
File: environ (1.65 KB, text/plain)
2017-06-21 03:04 EDT, Clemens Eisserer
no flags Details
File: exploitable (82 bytes, text/plain)
2017-06-21 03:04 EDT, Clemens Eisserer
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-21 03:04 EDT, Clemens Eisserer
no flags Details
File: maps (40.99 KB, text/plain)
2017-06-21 03:04 EDT, Clemens Eisserer
no flags Details
File: mountinfo (2.94 KB, text/plain)
2017-06-21 03:04 EDT, Clemens Eisserer
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-21 03:04 EDT, Clemens Eisserer
no flags Details
File: open_fds (954 bytes, text/plain)
2017-06-21 03:04 EDT, Clemens Eisserer
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-06-21 03:04 EDT, Clemens Eisserer
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-06-21 03:04 EDT, Clemens Eisserer
no flags Details

  None (edit)
Description Clemens Eisserer 2017-06-21 03:03:43 EDT
Description of problem:
no idea what caused the crash this time

Version-Release number of selected component:
xfce4-power-manager-1.6.0-4.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        xfce4-power-manager
crash_function: up_client_get_devices
executable:     /usr/bin/xfce4-power-manager
global_pid:     2695
kernel:         4.11.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 up_client_get_devices at up-client.c:102
 #1 xfpm_power_get_power_devices at xfpm-power.c:937
 #2 xfpm_power_init at xfpm-power.c:1454
 #3 g_type_create_instance at gtype.c:1866
 #4 g_object_new_internal at gobject.c:1783
 #7 xfpm_power_new at xfpm-power.c:1581
 #8 xfpm_power_get at xfpm-power.c:1609
 #9 xfpm_manager_start at xfpm-manager.c:843
 #10 xfpm_start at xfpm-main.c:229

Potential duplicate: bug 1264429
Comment 1 Clemens Eisserer 2017-06-21 03:03:51 EDT
Created attachment 1289946 [details]
File: backtrace
Comment 2 Clemens Eisserer 2017-06-21 03:03:53 EDT
Created attachment 1289947 [details]
File: cgroup
Comment 3 Clemens Eisserer 2017-06-21 03:03:56 EDT
Created attachment 1289948 [details]
File: core_backtrace
Comment 4 Clemens Eisserer 2017-06-21 03:03:58 EDT
Created attachment 1289949 [details]
File: dso_list
Comment 5 Clemens Eisserer 2017-06-21 03:04:00 EDT
Created attachment 1289950 [details]
File: environ
Comment 6 Clemens Eisserer 2017-06-21 03:04:02 EDT
Created attachment 1289951 [details]
File: exploitable
Comment 7 Clemens Eisserer 2017-06-21 03:04:04 EDT
Created attachment 1289952 [details]
File: limits
Comment 8 Clemens Eisserer 2017-06-21 03:04:07 EDT
Created attachment 1289953 [details]
File: maps
Comment 9 Clemens Eisserer 2017-06-21 03:04:09 EDT
Created attachment 1289954 [details]
File: mountinfo
Comment 10 Clemens Eisserer 2017-06-21 03:04:11 EDT
Created attachment 1289955 [details]
File: namespaces
Comment 11 Clemens Eisserer 2017-06-21 03:04:12 EDT
Created attachment 1289956 [details]
File: open_fds
Comment 12 Clemens Eisserer 2017-06-21 03:04:15 EDT
Created attachment 1289957 [details]
File: proc_pid_status
Comment 13 Clemens Eisserer 2017-06-21 03:04:17 EDT
Created attachment 1289958 [details]
File: var_log_messages
Comment 14 Mukundan Ragavan 2017-08-15 17:55:18 EDT
Does this cause the power manager to stop?
Comment 15 Fedora End Of Life 2017-11-16 10:38:30 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2017-12-12 05:34:41 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.